Bug 17618 - perl-modules Debian package name change
Summary: perl-modules Debian package name change
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17084
  Show dependency treegraph
 
Reported: 2016-11-12 07:11 UTC by Mirko Tietgen
Modified: 2017-12-07 22:20 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17618 control.in (830 bytes, patch)
2016-11-12 08:04 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17618 list-deps (1.16 KB, patch)
2016-11-12 08:05 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17618 - perl-modules Debian package name change (2.01 KB, patch)
2017-05-12 09:06 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17618: perl-modules Debian package name change (2.06 KB, patch)
2017-05-12 14:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17618: perl-modules Debian package name change (2.11 KB, patch)
2017-05-12 14:55 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-11-12 07:11:58 UTC
The perl-modules package for Perl 5.22 is called perl-modules-5.22. Koha should know about it.
Comment 1 Mirko Tietgen 2016-11-12 08:04:37 UTC
Created attachment 57464 [details] [review]
Bug 17618 control.in
Comment 2 Mirko Tietgen 2016-11-12 08:05:22 UTC
Created attachment 57465 [details] [review]
Bug 17618 list-deps
Comment 3 Mirko Tietgen 2016-12-02 21:45:55 UTC
Works in the master nightly builds
Comment 4 M. Tompsett 2017-02-27 20:40:48 UTC
5.20 is in Jessie, 5.22 is in Xenial, and 5.24 is in Stretch.
Comment 5 Mirko Tietgen 2017-05-12 09:06:24 UTC
Created attachment 63418 [details] [review]
Bug 17618 - perl-modules Debian package name change

Newer versios of perl-modules have a version number in the package name.
This patch makes Koha aware of perl-modules-5.22 and perl-modules-5.24
Comment 6 Tomás Cohen Arazi 2017-05-12 14:42:15 UTC
Created attachment 63446 [details] [review]
Bug 17618: perl-modules Debian package name change

Newer versios of perl-modules have a version number in the package name.
This patch makes Koha aware of perl-modules-5.22 and perl-modules-5.24

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 7 Mirko Tietgen 2017-05-12 14:54:28 UTC
Packaging patch, has been tested in the nightly builds too.
Comment 8 Mirko Tietgen 2017-05-12 14:55:37 UTC
Created attachment 63450 [details] [review]
Bug 17618: perl-modules Debian package name change

Newer versios of perl-modules have a version number in the package name.
This patch makes Koha aware of perl-modules-5.22 and perl-modules-5.24

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 9 Kyle M Hall 2017-05-12 15:01:41 UTC
Pushed to master for 17.05, thanks Mirko!
Comment 10 Katrin Fischer 2017-05-14 10:31:13 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 11 Julian Maurice 2017-05-22 11:38:58 UTC
Pushed to 3.22.x for 3.22.21
Comment 12 Mason James 2017-05-24 02:40:50 UTC
Pushed to 16.05.x, for 16.05.13 release